List Price List Records

Returns a list of *Price List Records* associated with a *Price List*. **Notes** * Supports up to 10 simultaneous GET requests. Running more than the allowed number of requests concurrently on the same store will result in a `429` status error and your additional requests will fail. * Store Pricelist Records data to reduce the number of calls and maximize performance.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

price_list_idintegerRequired

The ID of the Price List requested.

Query parameters

variant_id:inlist of integersOptional

A comma-separated list of IDs for one or more variants for which prices were requested.

product_id:inlist of integersOptional

A comma-separated list of IDs for one or more products for which prices were requested.

currencystringOptionalformat: "ISO-4217"
Filter items by currency.
pageintegerOptional

Specifies the page number in a limited (paginated) list of products.

limitintegerOptional

Controls the number of items per page in a limited (paginated) list of products. If you provide only a limit, the API returns both paginations while applying that limit.

beforestringOptional
A cursor that can be used for backwards pagination. Will fetch results before the position corresponding to the cursor. Cannot be used with the 'page' query parameter. Cannot be used with the 'after' query parameter.
afterstringOptional
A cursor that can be used for forwards pagination. Will fetch results after the position corresponding to the cursor. Cannot be used with the 'page' query parameter. Cannot be used with the 'before' query parameter.
includelist of enumsOptional

Sub-resources to include on a price record, in a comma-separated list. Valid expansions currently include bulk_pricing_tiers and sku. Other values will be ignored.

Allowed values:
pricedoubleOptional
Filter items by price.
sale_pricedoubleOptional

Filter items by sale_price.

retail_pricedoubleOptional

Filter items by retail_price.

map_pricedoubleOptional

Filter items by map_price.

calculated_pricedoubleOptional

Filter items by calculated_price.

date_createddatetimeOptional

Filter items by date_created.

date_modifieddatetimeOptional

Filter items by date_modified. For example v3/catalog/products?date_last_imported:min=2022-06-15

skustringOptional
Filter items by SKU.
sku:inlist of stringsOptional
currency:inlist of stringsOptional
price:maxdoubleOptional
price:mindoubleOptional
sale_price:maxdoubleOptional
sale_price:mindoubleOptional
retail_price:maxdoubleOptional
retail_price:mindoubleOptional
map_price:maxdoubleOptional
map_price:mindoubleOptional
calculated_price:maxdoubleOptional
calculated_price:mindoubleOptional
date_created:maxstringOptional
date_created:minstringOptional
date_modified:maxstringOptional
date_modified:minstringOptional

Response

datalist of objects
metaobject

‘Contains data about paginating the response via cursors. If no pagination details are specified or if you only provide a limit, then both properties will be present. When a ‘before’ or ‘after’ cursor is provided, only the ‘cursor_pagination’ property will be present. When a ‘page’ parameter is provided, only the offset based ‘pagination’ property will be present.’

Errors

429
Too Many Requests Error